import 'package:cpt_main/modules/feedback/feedback_page.dart';
import 'package:cs_resources/theme/app_colors_theme.dart';
import 'package:flutter/material.dart';
import 'package:shared/utils/util.dart';
import 'package:widgets/ext/ex_widget.dart';
import 'package:widgets/my_load_image.dart';
import 'package:widgets/my_text_view.dart';

class PropertyNews extends StatelessWidget {
  PropertyNews();

  @override
  Widget build(BuildContext context) {
    return Row(
      crossAxisAlignment: CrossAxisAlignment.center,
      mainAxisAlignment: MainAxisAlignment.start,
      children: [
        MyLoadImage(
          "https://t11.baidu.com/it/u=4142771387,220552469&fm=30&app=106&f=JPEG?w=564&h=604&s=FA2FB04406270B0D68AE05910300509B",
          width: 80,
          height: 80,
        ),
        MyTextView(
          "Key Appeals and Performance of Nonlan-ded Properties in District 19",
          fontSize: 15,
          marginLeft: 12.5,
          marginRight: 12.5,
          maxLines: 4,
          textColor: context.appColors.textBlack,
          isFontMedium: true,
        ).expanded(),
      ],
    )
        .decorated(
          color: context.appColors.whiteBG,
          borderRadius: BorderRadius.circular(5.0), // 5个圆角
          boxShadow: [
            BoxShadow(
              color: const Color(0xFF656565).withOpacity(0.1), // 阴影颜色，并且设置透明度
              offset: const Offset(0, 1.5), // 阴影的偏移量
              blurRadius: 2.5, // 模糊半径
              spreadRadius: 1.5, // 扩散半径
            ),
          ],
        )
        .marginOnly(right: 10)
        .constrained(height: 80, width: 270);
  }
}
